Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187888 - wrong array indentation with (object) casts
wrong array indentation with (object) casts
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Formatting & Indentation
6.x
PC Linux
: P3 (vote)
: TBD
Assigned To: Petr Pisl
issues@php
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 13:07 UTC by cassus
Modified: 2010-07-08 11:04 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cassus 2010-06-21 13:07:14 UTC
Proper indent:
array(
        'id'=>'nineHolePeg_measurementsTimeline',
        'flot_data' => array(
                (object)array(
                        'data' => $fullTimes->getRawValue(),
                        'points' => array('show' => true),
                ),
        )
)

NB6.9 indent:
array(
    'id' => 'nineHolePeg_measurementsTimeline',
    'flot_data' => array(
        (object) array(
    'data' => $fullTimes->getRawValue(),
    'points' => array('show' => true),
        ),
    )
)
Comment 1 Petr Pisl 2010-06-23 13:35:08 UTC
Fixed in web-main. Will be available in php dev build. Also suggested as candidate for the patch release.
Comment 2 rbalada 2010-06-23 22:31:18 UTC
Please verify bugfix for this bug ASAP, so it can be integrated into release691
repository.

Thanks,
-R
Comment 3 Quality Engineering 2010-06-24 03:32:45 UTC
Integrated into 'main-golden', will be available in build *201006240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/eeab9bf94c8e
User: Petr Pisl <ppisl@netbeans.org>
Log: #187888 -  wrong array indentation with (object) casts
Comment 4 cassus 2010-06-24 06:44:25 UTC
(In reply to comment #2)
> Please verify bugfix for this bug ASAP, so it can be integrated into release691
> repository.
> 
> Thanks,
> -R

It Works, Thanks!
Comment 5 rbalada 2010-06-24 09:15:28 UTC
Marking verified as per reporter's comment #4
Comment 6 rbalada 2010-06-24 09:48:07 UTC
main #eeab9bf94c8e transplanted to release691 #bc5b46c9e7eb
Comment 7 Jaromir Uhrik 2010-07-08 11:04:11 UTC
Verified in the following build on Mac and Ubuntu:
Product Version: NetBeans IDE 6.9.1 Dev (Build 201007062301)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01-279
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo